ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [Case 51032]

nerod

Member
Feb 4, 2011
15
0
51
--------------------- clam-update Begin ------------------------

Last ClamAV update process started at Mon Jun 20 03:20:59 2011

Last Status:
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.97 Recommended version: 0.97.1
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cvd is up to date (version: 53, sigs: 846214, f-level: 53, builder: sven)
daily.cld is up to date (version: 13214, sigs: 127460, f-level: 60, builder: guitar)
bytecode.cld is up to date (version: 143, sigs: 40, f-level: 60, builder: edwin)

---------------------- clam-update End -------------------------
I have the following installed via WHM -> Manage Plugins:
Name: clamavconnector
Author: cPanel Inc.
Installed Version: 0.97-2.4
Version: 0.97-2.4
Description: Virus Protection for Email and Filemanager Uploads !!BETA VERSION!!
Price: free

the checkbox is 'ticked' for "Install and keep updated"
 

nerod

Member
Feb 4, 2011
15
0
51
Forgive me for being daft, but does that mean *I* have to update the plugin and/or clamav?
 

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
42
348
somewhere over the rainbow
cPanel Access Level
Root Administrator
No, you do not have to update the plugin and/or clamav as we will periodically update it provided you have cPanel updates automatically set to happen on your machine.
 

nerod

Member
Feb 4, 2011
15
0
51
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [Case 51032

Thank you for the detailed explanation. How long do the updates normally take? I've been seeing this update warning for quite a while; is it not integral for security & therefore the reason why it isn't yet updated?

Every night my server runs:
Cron <[email protected]> /usr/local/cpanel/scripts/upcp --cron‏

Is this what I need to ensure ClamAV remains up to date?
 

Bdzzld

Well-Known Member
Apr 3, 2004
412
5
168
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [Case 51032

cPanel has a tendency of always being a bit slow as it comes to updates of clamAV. Simply (at least I think so) as it has no priority to them. Just give it a few days and it will be automatically updated or check out the manual-update script which was posted a while ago (search for my user_id).
 

Mysticeti

Well-Known Member
Sep 16, 2002
59
7
158
Southern NH
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Been seeing this message for over two weeks now: Local version: 0.97.4 Recommended version: 0.97.5

I guess you weren't kidding when you said they could be "a bit slow". :)
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,254
463
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Hello :)

There is an active case with development to update ClamAV to version 0.97.5. The case number is 60197. There is a process for new software versions that includes quality testing to ensure a smooth implementation. There is currently no time frame available on when the update will occur, but the case has been updated to note this forum thread.

Thank you.
 

yayyo

Well-Known Member
Jul 10, 2004
61
0
156
London, UK
cPanel Access Level
Root Administrator
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Hello :)

There is an active case with development to update ClamAV to version 0.97.5. The case number is 60197. There is a process for new software versions that includes quality testing to ensure a smooth implementation. There is currently no time frame available on when the update will occur, but the case has been updated to note this forum thread.

Thank you.
Thank you Michael,

Is there a new case number for "WARNING: Local version: 0.97.5 Recommended version: 0.97.6" which has been in Logwatch since September 19th?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,254
463
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Thank you Michael,

Is there a new case number for "WARNING: Local version: 0.97.5 Recommended version: 0.97.6" which has been in Logwatch since September 19th?
I have opened an internal case with our developers to update the version of ClamAV that cPanel distributes as part of clamavconnector to version 0.97.6. For reference, the internal case number is 61637.

Thank you.
 

yayyo

Well-Known Member
Jul 10, 2004
61
0
156
London, UK
cPanel Access Level
Root Administrator
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

No problem :) and thanks again Michael.
 

sardelich

Well-Known Member
Apr 28, 2010
72
1
58
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

since we are talking about updates...do you maybe know when will munin 2.0 go live?
 

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
42
348
somewhere over the rainbow
cPanel Access Level
Root Administrator
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Would you like to open up a new thread for that question or have this post moved to a new thread, since munin isn't the same as clamav and should be in a different thread.
 

pmc

Member
May 13, 2012
16
1
51
cPanel Access Level
Root Administrator
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

I just made some quick edits it worked.

For 64 Bit
First:
Code:
cd /usr/local/cpanel/modules-install/clamavconnector-Linux-x86_64

Next:
Code:
mv cpanclamav-0.97.5.tar.gz oldcp-0.97.5.tar.gz
mv cpanclamav-0.97.5.tar.gz.sig oldcp-0.97.5.tar.gz.sig
Then Edit the file as indicated
Editing AVV to current version 0.97.6, & AVVOLD= to whatever version you have.
Code:
Pico Installer
AVV=0.97.6
AVVOLD=0.97.5

Finally:
Code:
wget http://downloads.sourceforge.net/project/clamav/clamav/0.97.6/clamav-0.97.6.tar.gz?r=&ts=1349938920&use_mirror=iweb;./install;/scripts/perlinstaller --force File::Scan::ClamAV
If you are running a Linux-i686

First:
Code:
cd /usr/local/cpanel/modules-install/clamavconnector-Linux-i686
Next:
Code:
mv cpanclamav-0.97.5.tar.gz oldcp-0.97.5.tar.gz
mv cpanclamav-0.97.5.tar.gz.sig oldcp-0.97.5.tar.gz.sig
Then Edit the file as indicated
Editing AVV to current version 0.97.6, & AVVOLD= to whatever version you had.
Code:
Pico Installer
AVV=0.97.6
AVVOLD=0.97.5

Finally:
Code:
wget http://downloads.sourceforge.net/project/clamav/clamav/0.97.6/clamav-0.97.6.tar.gz?r=&ts=1349938920&use_mirror=iweb;./install;/scripts/perlinstaller --force File::Scan::ClamAV
It shouldinstall everything like a regular cpanel update would.

Make sure you have plenty of free ram for cpanel alone during install.

Run:
Code:
whereis clamd
Result: clamd: /usr/sbin/clamd /etc/clamd.conf /usr/share/man/man8/clamd.8

Then:
Code:
freshclam
Result:
main.cvd is up to date (version: 54, sigs: 1044387, f-level: 60, builder: sven)
daily.cld is up to date (version: 15453, sigs: 276209, f-level: 63, builder: guitar)
bytecode.cvd is up to date (version: 190, sigs: 36, f-level: 63, builder: neo)
 
  • Like
Reactions: jrxpress

yayyo

Well-Known Member
Jul 10, 2004
61
0
156
London, UK
cPanel Access Level
Root Administrator
Re: ClamAV Plugin Out of Date - Does cpanel update this, or do I have to? [

Thanks pmc for taking the time to document that :)
 

yayyo

Well-Known Member
Jul 10, 2004
61
0
156
London, UK
cPanel Access Level
Root Administrator
@ cPanel [ Michael | Tristan ]

It's that time again ;-)
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.97.6 Recommended version: 0.97.7
If there isn't one already could you raise an internal case?

Many Thanks
Marty
 

Bdzzld

Well-Known Member
Apr 3, 2004
412
5
168
The same still applies yayyo:
cPanel has a tendency of always being a bit slow as it comes to updates of clamAV. Simply (at least I think so) as it has no priority to them. Just give it a few days and it will be automatically updated or check out the manual-update script which was posted a while ago (search for my user_id).
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,254
463
We do have an internal case open for an update of ClamAV to version 0.97.7. The case number is 64170.

Thank you.
 

cybermonk

Member
Jan 25, 2011
20
0
51
cPanelMichael,
any chance you could have the team working on case number is 64170 make the jump straight to 0.97.8.

Dear ClamAV users,


"ClamAV 0.97.8 addresses several reported potential security bugs. Thanks to Felix Groebert of the Google Security Team for finding and reporting these issues."
:cool: